Call For Testing: Natty Firefox users (or willing to install Natty in a VM)

Micah Gersten micahg at
Sun Jun 19 03:36:31 UTC 2011

On 06/17/2011 05:59 PM, Micah Gersten wrote:
> We need Natty users to test our latest Firefox Upgrade!
> *Background:*
> Firefox 4 will not receive any more point releases, but rather Firefox
> 5 is the security update for Firefox 4.0.1. Upstream Mozilla has
> changed their release process and are using a rapid release schedule. 
> We will be following this new release schedule to continue to deliver
> a secure browsing experience to our users.
> Since Natty has Firefox 4, it will start this process immediately.
> Lucid and Maverick which are on 3.6.x will be transitioning to the new
> rapid release cycle once 3.6.x has reached end of life.
> Before releasing these updates to the public, we need testing of the
> following packages:
>     * firefox
>     * xul-ext-webfav
>     * xul-ext-mozvoikko
>     * xul-ext-bindwood
>     * gecko-mediaplayer
>     * moonlight-plugin-core
> We have published all these packages in a PPA [1], and, for your
> convenience, have copied these updates to natty-proposed.  You can
> either enable the Ubuntu Mozilla Security PPA (instructions to follow)
> or natty-proposed.  Please keep in mind, that natty-proposed might get
> you a lot of other extra packages as well.
> We need people running Natty in bare metal or a virtual machine. If
> you are willing to help, here's what you can do:
> Add the Ubuntu Mozilla Security PPA to your software sources:
> sudo add-apt-repository ppa:ubuntu-mozilla-security/ppa
> or
> enable natty-proposed
> Then, you can either run update-manager or:
> sudo apt-get update && sudo apt-get dist-upgrade
> Since there are very few packages, we are tracking this transition in
> bug 798484 [2].  I have added verification-needed-* tags for each of
> the packages that need testing.  If you find a bug, please file a new
> bug with all the details, then, comment with the bug # and the
> affected package name in the tracking bug [2].  If you see the
> verification-needed-* tag for a specific package, feel free to comment
> if you have tested the package and it works.  If you see a
> verification-done-* tag for a specific package, there is no need to
> comment that it works, but more testing is always appreciated.    If
> you see a verification-failed-* tag for a specific package, please
> check if your bug has already been filed, if not, please file one with
> all the details and comment in the tracking bug with the bug # and the
> package name.
> Feel free to subscribe to this bug [2] to follow the progress, but be
> forewarned that you will probably get a lot of E-Mail from it.
> Please note, packages need to be tested to migrate to natty-security
> and natty-updates.
> Thanks to everyone in advance,
> Micah
> [1]
> <>
> [2]
> P.S.  The current final Firefox 5 build and moon are currently
> finishing building on armel and will be copied to natty-proposed over
> the weekend.  The other architectures' packages are available in the
> Ubuntu Mozilla Security PPA.
> -- 
> Micah Gersten
> Ubuntu Security Team

I want to apologize for leaving out this piece of information.  If
you're testing in natty-proposed everything is fine.  If you're testing
from the Ubuntu Mozilla Security PPA, anything that requires a language
pack will fail.  This is due to us switching to in source Firefox
language packs.  natty-proposed contains updated system language packs
which pull in the appropriate language pack from the firefox source.

Thank you,
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the ubuntu-devel mailing list